{
  "name": "myp-rp",
  "version": "0.1.0",
  "private": true,
  "packageManager": "pnpm@9.12.1",
  "scripts": {
    "dev": "next dev",
    "build": "next build",
    "start": "next start",
    "lint": "next lint",
    "db:create-default": "mkdir -p db/",
    "db:generate-sqlite": "pnpm drizzle-kit generate",
    "db:clean": "rm -rf db/ drizzle/",
    "db:migrate": "pnpm drizzle-kit migrate",
    "db": "pnpm db:create-default && pnpm db:generate-sqlite && pnpm db:migrate",
    "db:reset": "pnpm db:clean && pnpm db"
  },
  "dependencies": {
    "@headlessui/react": "^2.1.9",
    "@headlessui/tailwindcss": "^0.2.1",
    "@hookform/resolvers": "^3.9.0",
    "@libsql/client": "^0.14.0",
    "@lucia-auth/adapter-drizzle": "^1.1.0",
    "@radix-ui/react-alert-dialog": "^1.1.2",
    "@radix-ui/react-avatar": "^1.1.1",
    "@radix-ui/react-dialog": "^1.1.2",
    "@radix-ui/react-dropdown-menu": "^2.1.2",
    "@radix-ui/react-hover-card": "^1.1.2",
    "@radix-ui/react-icons": "^1.3.0",
    "@radix-ui/react-label": "^2.1.0",
    "@radix-ui/react-scroll-area": "^1.2.0",
    "@radix-ui/react-select": "^2.1.2",
    "@radix-ui/react-slot": "^1.1.0",
    "@radix-ui/react-tabs": "^1.1.1",
    "@radix-ui/react-toast": "^1.2.2",
    "@remixicon/react": "^4.2.0",
    "@tanstack/react-table": "^8.20.5",
    "@tremor/react": "^3.18.3",
    "arctic": "^1.9.2",
    "class-variance-authority": "^0.7.0",
    "clsx": "^2.1.1",
    "drizzle-orm": "^0.30.10",
    "lucia": "^3.2.1",
    "lucide-react": "^0.378.0",
    "next": "14.2.3",
    "next-themes": "^0.3.0",
    "oslo": "^1.2.1",
    "react": "^18.3.1",
    "react-dom": "^18.3.1",
    "react-hook-form": "^7.53.0",
    "react-if": "^4.1.5",
    "react-timer-hook": "^3.0.7",
    "regression": "^2.0.1",
    "sonner": "^1.5.0",
    "swr": "^2.2.5",
    "tailwind-merge": "^2.5.3",
    "tailwindcss-animate": "^1.0.7",
    "use-debounce": "^10.0.3",
    "zod": "^3.23.8"
  },
  "devDependencies": {
    "@biomejs/biome": "^1.9.3",
    "@tailwindcss/forms": "^0.5.9",
    "@types/node": "^20.16.11",
    "@types/react": "^18.3.11",
    "@types/react-dom": "^18.3.0",
    "drizzle-kit": "^0.21.4",
    "postcss": "^8.4.47",
    "tailwindcss": "^3.4.13",
    "typescript": "^5.6.3"
  }
}
